import express from "express";
const router = express.Router();

import { signup, signin, verifyUser, showUser, forgotPassword, resetPassword, updateUser,investFunds } from "../controllers/user.js";

router.post("/signup", signup);
router.post("/signin", signin);
router.get('/:id/verify/:token/', verifyUser);
router.get('/:userId', showUser);
router.post("/forgotpassword", forgotPassword);
router.post("/resetpassword/:id/:token", resetPassword);
router.put('/update', updateUser);
router.patch("/invest", investFunds);




export default router;